using SqlSugar;
using Volo.Abp.Domain.Entities;

namespace NPin.Framework.Upms.Domain.Entities;

[SugarTable("RelUserRole", "用户-角色 关系表")]
public class UserRoleEntity: Entity<Guid>
{
    [SugarColumn(IsPrimaryKey = true, ColumnDescription = "主键")]
    public override Guid Id { get; protected set; }
    
    [SugarColumn(ColumnDescription = "角色ID")]
    public Guid RoleId { get; set; }
    
    [SugarColumn(ColumnDescription = "用户ID")]
    public Guid UserId { get; set; }
}